Build #7 for frag-1.1.1

[all reports]

Package frag-1.1.1
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-01-03 12:30:54.221703 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies GLUT-2.7.0.10, OpenGL-3.0.1.0, array-0.5.1.1, base-4.9.0.0, random-1.1
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring ObjectName-1.1.0.1...
Configuring fixed-0.2.1.1...
Building fixed-0.2.1.1...
Building ObjectName-1.1.0.1...
Installed ObjectName-1.1.0.1
Configuring half-0.2.2.3...
Configuring random-1.1...
Installed fixed-0.2.1.1
Building half-0.2.2.3...
Building random-1.1...
Configuring stm-2.4.4.1...
Installed half-0.2.2.3
Building stm-2.4.4.1...
Configuring text-1.2.2.1...
Installed random-1.1
Building text-1.2.2.1...
Installed stm-2.4.4.1
Configuring StateVar-1.1.0.4...
Building StateVar-1.1.0.4...
Installed StateVar-1.1.0.4
Installed text-1.2.2.1
Configuring OpenGLRaw-3.2.4.0...
Building OpenGLRaw-3.2.4.0...
Installed OpenGLRaw-3.2.4.0
Configuring GLURaw-2.0.0.3...
Building GLURaw-2.0.0.3...
Installed GLURaw-2.0.0.3
Configuring OpenGL-3.0.1.0...
Building OpenGL-3.0.1.0...
Installed OpenGL-3.0.1.0
Configuring GLUT-2.7.0.10...
Building GLUT-2.7.0.10...
Installed GLUT-2.7.0.10
Configuring frag-1.1.1...
Building frag-1.1.1...
Failed to install frag-1.1.1
Build log ( /home/builder/.cabal/logs/frag-1.1.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-8524/frag-1.1.1'
Configuring frag-1.1.1...
Building frag-1.1.1...
Preprocessing executable 'frag' for frag-1.1.1...

on the commandline: warning:
    The -fvia-C flag does nothing; it will be removed in a future GHC release
[ 1 of 39] Compiling TGA              ( src/TGA.hs, dist/build/frag/frag-tmp/TGA.o )
[ 2 of 39] Compiling Textures         ( src/Textures.hs, dist/build/frag/frag-tmp/Textures.o )

src/Textures.hs:35:19: error:
    Variable not in scope:
      catch
        :: IO (Maybe (Size, PixelData Word8))
           -> (t0 -> IO (Maybe a0)) -> IO (Maybe (Size, PixelData Word8))
cabal: Leaving directory '/tmp/cabal-tmp-8524/frag-1.1.1'
cabal: Error: some packages failed to install:
frag-1.1.1 failed during the building phase. The exception was:
ExitFailure 1